<?xml version="1.0" encoding="utf-8"?>
<android.support.v7.widget.CardView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="MissingPrefix"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white"
    app:cardCornerRadius="4dp"
    android:layout_marginTop="12dp"
    android:layout_marginLeft="12dp"
    android:layout_marginStart="12dp"
    android:layout_marginRight="12dp"
    android:layout_marginEnd="12dp">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:id="@+id/productCountLayout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:padding="12dp"
            android:layout_centerVertical="true">

            <TextView
                android:id="@+id/cartProductCountTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/black" />

        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_toRightOf="@+id/productCountLayout"
            android:layout_toEndOf="@+id/productCountLayout"
            android:padding="12dp"
            android:layout_centerVertical="true">

            <View
                android:id="@+id/dividerView"
                android:layout_width="1dp"
                android:layout_height="72dp"
                android:background="@color/black"
                android:layout_centerVertical="true"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_toRightOf="@+id/dividerView"
                android:layout_toEndOf="@+id/dividerView">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="12dp">

                    <TextView
                        android:id="@+id/cartProductNameTextView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:textSize="16sp"
                        android:textColor="@color/black"
                        android:padding="12dp"
                        fontPath="fonts/Quicksand-Bold.ttf"
                        android:layout_toLeftOf="@+id/cartProductTotalPriceTextView"
                        android:layout_toStartOf="@+id/cartProductTotalPriceTextView"
                        android:layout_alignParentLeft="true"
                        android:layout_alignParentStart="true" />

                    <TextView
                        android:id="@+id/cartProductTotalPriceTextView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@color/black"
                        android:padding="8dp"
                        fontPath="fonts/Quicksand-Bold.ttf"
                        android:layout_alignParentRight="true"
                        android:layout_alignParentEnd="true"
                        android:layout_centerVertical="true"/>

                </RelativeLayout>

                <TextView
                    android:id="@+id/cartProductInfoTextView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/black"
                    android:layout_marginLeft="32dp"
                    android:layout_marginStart="32dp"
                    fontPath="fonts/Quicksand-Regular-Italic.otf"
                    android:paddingBottom="12dp"
                    android:paddingLeft="12dp"
                    android:paddingStart="12dp"
                    android:paddingRight="12dp"
                    android:paddingEnd="12dp" />

            </LinearLayout>



        </RelativeLayout>

        <ImageView
            android:id="@+id/removeProductFromCartImageView"
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:padding="8dp"
            android:src="@drawable/ic_cancel_2"
            android:layout_gravity="center_vertical"
            android:layout_alignParentRight="true"
            android:layout_alignParentEnd="true"/>

    </RelativeLayout>


</android.support.v7.widget.CardView>


<!--

<android.support.v7.widget.CardView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="MissingPrefix"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white"
    app:cardCornerRadius="4dp"
    android:layout_marginTop="12dp"
    android:layout_marginLeft="12dp"
    android:layout_marginStart="12dp"
    android:layout_marginRight="12dp"
    android:layout_marginEnd="12dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/cartProductCountTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="2 x "
                android:textColor="@color/black"
                android:padding="12dp"
                android:layout_centerVertical="true"/>

            <TextView
                android:id="@+id/cartProductNameTextView"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Pizza Formaggio"
                android:textSize="16sp"
                android:textColor="@color/black"
                android:padding="12dp"
                fontPath="fonts/Quicksand-Bold.ttf"
                android:layout_centerVertical="true"
                android:layout_toRightOf="@+id/cartProductCountTextView"
                android:layout_toEndOf="@+id/cartProductCountTextView"
                android:layout_toLeftOf="@+id/cartProductTotalPriceTextView"
                android:layout_toStartOf="@+id/cartProductTotalPriceTextView"/>

            <TextView
                android:id="@+id/cartProductTotalPriceTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="CHF 25.00"
                android:textColor="@color/black"
                android:padding="8dp"
                fontPath="fonts/Quicksand-Bold.ttf"
                android:layout_centerVertical="true"
                android:layout_toLeftOf="@+id/removeProductFromCartImageView"
                android:layout_toStartOf="@+id/removeProductFromCartImageView"/>

            <ImageView
                android:id="@+id/removeProductFromCartImageView"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:padding="8dp"
                android:src="@drawable/ic_cancel_2"
                android:layout_centerVertical="true"
                android:layout_gravity="center_vertical"
                android:layout_alignParentRight="true"
                android:layout_alignParentEnd="true"/>

        </RelativeLayout>

        <TextView
            android:id="@+id/cartProductInfoTextView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Gross"
            android:textColor="@color/black"
            android:layout_marginLeft="64dp"
            android:layout_marginStart="64dp"
            fontPath="fonts/Quicksand-Regular-Italic.otf"
            android:paddingBottom="12dp"
            android:paddingLeft="12dp"
            android:paddingStart="12dp"
            android:paddingRight="12dp"
            android:paddingEnd="12dp" />

    </LinearLayout>

</android.support.v7.widget.CardView>

-->